<IfModule mod_rewrite.c>
    RewriteEngine On

    # Redirect Trailing Slashes If Not A Folder...
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_URI} (.+)/$
    RewriteRule ^ %1 [R,L]
    ## production RewriteRule ^ %1 [R=301,L]

    # Handle Front Controller...
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteRule ^ index.php [L]

    # to https force
#    RewriteCond %{HTTPS} off
#    RewriteRule .* https://%{HTTP_HOST}%{REQUEST_URI} [L,R]
    #RewriteCond %{HTTP_HOST} !^www\. [NC]
    #RewriteRule .* https://www.%{HTTP_HOST}%{REQUEST_URI} [L,R=301]


</IfModule>

<IfModule mod_headers.c>
    Header set Strict-Transport-Security "max-age=10886400; includeSubDomains; preload" env=HTTPS
    Header always set X-Frame-Options "sameorigin"

    # Header set Access-Control-Allow-Methods "GET"
    # Header set Access-Control-Allow-Headers "Origin,Accept, X-Requested-With, Content-Type, Access-Control-Request-Method, Access-Control-Request-Headers, Token"

    # liberação para acesso a origins controladas
#    SetEnvIf Origin "http(s)?://(www\.)?(usenextstep.com.br|nextstage.com.br)$" AccessControlAllowOrigin=$0
#    Header add Access-Control-Allow-Origin %{AccessControlAllowOrigin}e env=AccessControlAllowOrigin
#    Header merge Vary Origin

    ## temporario
    #Header add Access-Control-Allow-Origin *

</IfModule>

